// Arquivo de exemplo: destrutores.cs
// Para compilar use: csc destrutores.cs
using System;
public class Livro {
	~Livro() {
		Console.WriteLine("Libera recursos da classe base");
		Console.Read();
	}

}

public class Autor:Livro {
	~Autor() {
		Console.WriteLine("Libera recursos da classe derivada Autor");
	}
}

class TesteDestrutor {
	static void Main() {
		Autor aut = new Autor();
		
	}
}
